nmsIpIsSecondary — FS.COM official Documentation Hub native MIB packages
The ip address configured is primary or secondary. A secondary address can't be configured until the primary one exist.
{1 3 6 1 4 1 52642 2 237 2 1 6}
The ip address configured is primary or secondary. A secondary address can't be configured until the primary one exist.
Status in source: mandatory.
Names: nmsIpIsSecondary
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"nmsIpIsSecondary",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"secondary",
"(",
"1",
")",
",",
"primary",
"(",
"0",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The ip address configured is primary or secondary. A secondary address can't be configured until the primary one exist.\"",
"::=",
"{",
"ipAddrTableEntry",
"6",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"secondary",
1
],
[
"primary",
0
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The ip address configured is primary or secondary. A secondary address can't be configured until the primary one exist."
],
null,
null,
null,
null
]
}Module: NMS-IP-ADDRESS-MIB
nmsIpIsSecondary OBJECT-TYPE
SYNTAX INTEGER{
secondary (1),
primary (0)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The ip address configured is primary or secondary. A secondary address can't be configured until the primary one exist."
::= { ipAddrTableEntry 6 }{'NMS-SMI': ['nmslocal'], 'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-TC': ['TruthValue', 'RowStatus'], 'RFC1155-SMI': ['TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Same file in s3150-8t2fp-switch-snmp-mib-files.zip.
Same file in ies3100-series-switches-snmp-mib-files.zip.
Same file in 202305060956260ayqlm.zip.
Downloaded: 2026-10-24T13:35:04.490064+00:00.
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.52642.2.237.2.1.1 | nmsIpEntAddr | 0 | 0 | |
| 1.3.6.1.4.1.52642.2.237.2.1.2 | nmsIpEntIfindex | 0 | 0 | |
| 1.3.6.1.4.1.52642.2.237.2.1.3 | nmsIpEntNetMask | 0 | 0 | |
| 1.3.6.1.4.1.52642.2.237.2.1.4 | nmsIpEntRowStatus | 0 | 0 | |
| 1.3.6.1.4.1.52642.2.237.2.1.5 | nmsIpMacAddress | 0 | 0 |